package cn.hmsoft.skill.data.model.std;

import java.io.Serializable;
import java.time.LocalDateTime;

import cn.hmsoft.jdbc.entity.Table;

/**********************************************
* 考生日志记录
* @author: zxq
* @date: 2019-01-08 13:30:07
* @version: 5.0.0
* @email: revisit@126.com
* @Company: www.hmsoft.cn
*/
@Table(tableName = "STD_LOG", keyColumn =  "LOG_ID" , sequenceName = "STD_LOG_ID")
public class StdLog implements Serializable{
	private static final long serialVersionUID = -1965840278569664318L;
	//日志编号
	private Integer log_id;
	//Log日期
	private LocalDateTime log_time;
	//log类型
	private String log_type;
	// 操作后新值
	private String log_value;
	
	private Integer school_id;
	//考生编号
	private Integer std_id;
	// 操作员编号，如果是后台操作的话
	private Integer optr_id;
	// 操作员名称
	private String optr_name;
	//日志 
	/****
	 * 日志编号
	 */
	public Integer getLog_id() {
		return this.log_id;
	}

	/****
	 * 日志编号
	 */
	public void setLog_id(Integer log_id) {
		this.log_id = log_id;
	}

	/****
	 * Log日期
	 */
	public LocalDateTime getLog_time() {
		return this.log_time;
	}

	/****
	 * Log日期
	 */
	public void setLog_time(LocalDateTime log_time) {
		this.log_time = log_time;
	}

	/****
	 * log类型
	 */
	public String getLog_type() {
		return this.log_type;
	}

	/****
	 * log类型
	 */
	public void setLog_type(String log_type) {
		this.log_type = log_type;
	}

	public Integer getSchool_id() {
		return this.school_id;
	}

	public void setSchool_id(Integer school_id) {
		this.school_id = school_id;
	}

	/****
	 * 考生编号
	 */
	public Integer getStd_id() {
		return this.std_id;
	}

	/****
	 * 考生编号
	 */
	public void setStd_id(Integer std_id) {
		this.std_id = std_id;
	}

	public Integer getOptr_id() {
		return optr_id;
	}

	public void setOptr_id(Integer optr_id) {
		this.optr_id = optr_id;
	}

	public String getOptr_name() {
		return optr_name;
	}

	public void setOptr_name(String optr_name) {
		this.optr_name = optr_name;
	}

	public String getLog_value() {
		return log_value;
	}

	public void setLog_value(String log_value) {
		this.log_value = log_value;
	}




}